org.keycloak.authentication.authenticators.broker

## Class IdpEmailVerificationAuthenticator

- java.lang.Object
- - org.keycloak.authentication.authenticators.broker.AbstractIdpAuthenticator
  - - org.keycloak.authentication.authenticators.broker.IdpEmailVerificationAuthenticator

- All Implemented Interfaces:
    Authenticator, Provider

      public class IdpEmailVerificationAuthenticator
      extends AbstractIdpAuthenticator

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VERIFY_ACCOUNT_IDP_USERNAME`

    - ### Fields inherited from class org.keycloak.authentication.authenticators.broker.AbstractIdpAuthenticator

      `BROKER_REGISTERED_NEW_USER, BROKERED_CONTEXT_NOTE, ENFORCE_UPDATE_PROFILE, EXISTING_USER_INFO, FIRST_BROKER_LOGIN_SUCCESS, NESTED_FIRST_BROKER_CONTEXT, UPDATE_PROFILE_EMAIL_CHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdpEmailVerificationAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionImpl(AuthenticationFlowContext context, SerializedBrokeredIdentityContext serializedCtx, BrokeredIdentityContext brokerContext)`
    `protected void` | `authenticateImpl(AuthenticationFlowContext context, SerializedBrokeredIdentityContext serializedCtx, BrokeredIdentityContext brokerContext)`
    `boolean` | `configuredFor(KeycloakSession session, RealmModel realm, UserModel user)` Is this authenticator configured for this user.
    `boolean` | `requiresUser()` Does this authenticator require that the user has already been identified? That AuthenticatorContext.getUser() is not null?
    `protected void` | `showEmailSentPage(AuthenticationFlowContext context, BrokeredIdentityContext brokerContext)`

    - ### Methods inherited from class org.keycloak.authentication.authenticators.broker.AbstractIdpAuthenticator

      `action, authenticate, close, getExistingUser, sendFailureChallenge, setRequiredActions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `areRequiredActionsEnabled, getRequiredActions`

- - ### Field Detail

    - #### VERIFY_ACCOUNT_IDP_USERNAME

          public static final String VERIFY_ACCOUNT_IDP_USERNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IdpEmailVerificationAuthenticator

          public IdpEmailVerificationAuthenticator()

  - ### Method Detail

    - #### authenticateImpl

          protected void authenticateImpl(AuthenticationFlowContext context,
                                          SerializedBrokeredIdentityContext serializedCtx,
                                          BrokeredIdentityContext brokerContext)

      Specified by:
        `authenticateImpl` in class `AbstractIdpAuthenticator`

    - #### actionImpl

          protected void actionImpl(AuthenticationFlowContext context,
                                    SerializedBrokeredIdentityContext serializedCtx,
                                    BrokeredIdentityContext brokerContext)

      Specified by:
        `actionImpl` in class `AbstractIdpAuthenticator`

    - #### requiresUser

          public boolean requiresUser()

      Description copied from interface: `Authenticator`
      Does this authenticator require that the user has already been identified? That AuthenticatorContext.getUser() is not null?
      Returns:

    - #### configuredFor

          public boolean configuredFor(KeycloakSession session,
                                       RealmModel realm,
                                       UserModel user)

      Description copied from interface: `Authenticator`
      Is this authenticator configured for this user.
      Returns:

    - #### showEmailSentPage

          protected void showEmailSentPage(AuthenticationFlowContext context,
                                           BrokeredIdentityContext brokerContext)

Copyright © 2020 JBoss by Red Hat. All rights reserved.